org.apache.maven.scm.provider.synergy.consumer

## Class SynergyGetTaskObjectsConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.synergy.consumer.SynergyGetTaskObjectsConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SynergyGetTaskObjectsConsumer
    extends AbstractConsumer

Mainly inspired from CruiseControl

Author:
  Julien Henry, Olivier Lamy

### Field Summary

Fields
`static String` `OUTPUT_FORMAT`

### Constructor Summary

Constructors
Constructor and Description
`SynergyGetTaskObjectsConsumer(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ChangeFile>` `getFiles()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OUTPUT_FORMAT

    public static final String OUTPUT_FORMAT

See Also:
  Constant Field Values

### Constructor Detail

#### SynergyGetTaskObjectsConsumer

    public SynergyGetTaskObjectsConsumer(ScmLogger logger)

### Method Detail

#### getFiles

    public List<ChangeFile> getFiles()

Returns:
  the entries

#### consumeLine

    public void consumeLine(String line)